gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecUChar

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for unsigned character properties.

Synopsis

- newtype ParamSpecUChar = ParamSpecUChar (ManagedPtr ParamSpecUChar)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUChar o) => IsParamSpecUChar o
- toParamSpecUChar :: (MonadIO m, IsParamSpecUChar o) => o -> m ParamSpecUChar

# Exported types

newtype ParamSpecUChar Source #

Memory-managed wrapper type.

Constructors

ParamSpecUChar (ManagedPtr ParamSpecUChar) |

#### Instances

Instances details

Eq ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar Methods (==) :: ParamSpecUChar -> ParamSpecUChar -> Bool Source # (/=) :: ParamSpecUChar -> ParamSpecUChar -> Bool Source #
BoxedPtr ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar Methods boxedPtrCopy :: ParamSpecUChar -> IO ParamSpecUChar Source # boxedPtrFree :: ParamSpecUChar -> IO () Source #
ManagedPtrNewtype ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar Methods toManagedPtr :: ParamSpecUChar -> ManagedPtr ParamSpecUChar Source #
TypedObject ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar Methods glibType :: IO GType Source #
HasParentTypes ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar
type ParentTypes ParamSpecUChar Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar type ParentTypes ParamSpecUChar = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUChar o) => IsParamSpecUChar o Source #

Type class for types which can be safely cast to `ParamSpecUChar`, for instance with `toParamSpecUChar`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUChar o) => IsParamSpecUChar o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUChar

toParamSpecUChar :: (MonadIO m, IsParamSpecUChar o) => o -> m ParamSpecUChar Source #

Cast to `ParamSpecUChar`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.